Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Repository mixup problem

  1. #1

    Default Repository mixup problem

    Hello
    Looks like there's something wrong with the repositories on my laptop.
    here's a list of repositories using zypper lr -d

    Code:
    #  | Alias                               | Name                                     | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                   | Service
    ---+-------------------------------------+------------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------------+--------
     1 | dvd                                 | dvd                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/                                    |        
     2 | firefox_direct                      | firefox                                  | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.0/                 |        
     3 | google-chrome                       | google-chrome                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                   |        
     4 | home_weberho_tools                  | Miscellaneous tools (openSUSE_Leap_42.2) | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/home:/weberho:/tools/openSUSE_Leap_42.2/    |        
     5 | http-download.opensuse.org-185c47f1 | multimedia:libs                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_Leap_15.0/        |        
     6 | http-download.opensuse.org-2d94f972 | multimedia:apps                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_Leap_15.0/        |        
     7 | http-opensuse-guide.org-9684dcc1    | libdvdcss repository                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/                                    |        
     8 | openSUSE-Leap-42.3-0                | openSUSE-Leap-42.3-0                     | No      | ----      | ----    |   99     | yast2  | hd:///?device=/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_200517394307FCB14AE1-0:0-part2 |        
     9 | packman                             | packman                                  | Yes     | (r ) Yes  | Yes     |   97     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/                                      |        
    10 | repo-debug                          | openSUSE-Leap-15.0-Debug                 | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/                   |        
    11 | repo-debug-non-oss                  | openSUSE-Leap-15.0-Debug-Non-Oss         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/               |        
    12 | repo-debug-update                   | openSUSE-Leap-15.0-Update-Debug          | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/oss/                              |        
    13 | repo-debug-update-non-oss           | openSUSE-Leap-15.0-Update-Debug-Non-Oss  | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/non-oss/                          |        
    14 | repo-non-oss                        | openSUSE-Leap-15.0-Non-Oss               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/                     |        
    15 | repo-oss                            | openSUSE-Leap-15.0-Oss                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/                         |        
    16 | repo-source                         | openSUSE-Leap-15.0-Source                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/                  |        
    17 | repo-source-non-oss                 | openSUSE-Leap-15.0-Source-Non-Oss        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/              |        
    18 | repo-update                         | openSUSE-Leap-15.0-Update                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/oss/                                    |        
    19 | repo-update-non-oss                 | openSUSE-Leap-15.0-Update-Non-Oss        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/                                |        
    20 | teamviewer                          | TeamViewer - x86_64                      | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://linux.teamviewer.com/yum/stable/main/binary-x86_64/                            |
    Problem: I've installed Firefox from the Oss repository, but every once in a while, a sudo zypper up downloads an updated firefox from the Update repository.
    This causes www.dailymotion.com to break (firefox wants to play videos using Flash, but allowing Flash causes the tab to crash. Reverting back to the Firefox from Oss repository downgrades Firefox to a slightly lower point release version, and the above problem is avoided, this version of Firefox can play dailymotion videos without requiring Flash.)

    Problem 2: Yast reports updated versions of certain packages, but right-click and update has no effect. Here's an example:





    How do I correct this problem? Please help...

  2. #2

    Default Re: Repository mixup problem

    Here it goes again:
    Code:
    sudo zypper up -d
    Loading repository data...                                                                                                                                                                      
    Reading installed packages...                                                                                                                                                                   
                                                                                                                                                                                                    
    The following 70 package updates will NOT be installed:                                                                                                                                         
      alsa-devel ffmpeg freshplayerplugin gstreamer-plugins-bad gstreamer-plugins-bad-lang gstreamer-plugins-base gstreamer-plugins-base-devel gstreamer-plugins-base-lang gstreamer-plugins-good   
      gstreamer-plugins-good-lang gstreamer-plugins-libav gstreamer-plugins-ugly gstreamer-plugins-ugly-lang libasound2 libavcodec57 libavdevice57 libavfilter6 libavformat57 libavresample3        
      libavutil55 libgstadaptivedemux-1_0-0 libgstallocators-1_0-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbadaudio-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
      libgstfft-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstpbutils-1_0-0 libgstphotography-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0               
      libgsturidownloader-1_0-0 libgstvideo-1_0-0 libgstwayland-1_0-0 libpostproc54 libqmmp1 libqmmp-plugins libquicktime0 libsox3 libswresample2 libswscale4 libxine2 libxine2-pulse libxine-devel 
      mpv mpv-bash-completion mpv-zsh-completion qmmp qmmp-plugin-pack-goom qmmp-plugin-pack-mpg123 smplayer smplayer-lang sox typelib-1_0-GstAllocators-1_0 typelib-1_0-GstApp-1_0                 
      typelib-1_0-GstAudio-1_0 typelib-1_0-GstGL-1_0 typelib-1_0-GstPbutils-1_0 typelib-1_0-GstRtp-1_0 typelib-1_0-GstRtsp-1_0 typelib-1_0-GstSdp-1_0 typelib-1_0-GstTag-1_0                        
      typelib-1_0-GstVideo-1_0                                                                                                                                                                      
                                                                                                                                                                                                    
    The following application is going to be REMOVED:                                                                                                                                               
      "Firefox Web Browser"                                                                                                                                                                         
                                                                                                                                                                                                    
    The following package is going to be upgraded:                                                                                                                                                  
      MozillaFirefox                                                                                                                                                                                
    
    1 package to upgrade.
    Overall download size: 41.2 MiB. Already cached: 0 B. Download only.
    Continue? [y/n/...? shows all options] (y):
    If I continue, Firefox will change to the Update repository instead of the Oss repository.


    I installed it from the LAST offer in the above list, but it has auto-changed to the Update repo

  3. #3
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    1,674

    Default Re: Repository mixup problem

    Quote Originally Posted by johnwinchester View Post
    Here it goes again:



    I installed it from the LAST offer in the above list, but it has auto-changed to the Update repo
    That is the default behaviour. If you want a specific version to persist no-matter-what you should lock it.
    With YaST2-Software, right-click on the package name and select "Protected -- Do Not Modify".
    Or via the command line:
    Code:
    zypper addlock MozillaFirefox
    If and when you change your mind you should remove that lock before updating.
    Main: Leap 15 Gnome on i7 4720HQ + Geforce GTX960M
    Test: Leap 42.3 (& others) on Core2Duo + GM965

  4. #4

    Default Re: Repository mixup problem

    BTW, are there any real differences between these two repos?

    Code:
    dvd                                 | dvd                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/
    http-opensuse-guide.org-9684dcc1    | libdvdcss repository                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/
    OpenSuse 15.1, Plasma 5.16
    Gigabyte GA-Z87X-UD4H Mobo; 16G Ram
    Intel Core i5-4570 Processor (6M Cache, up to 3.60 GHz)

  5. #5

    Default Re: Repository mixup problem

    Thanks for your reply
    @OrsoBruno,
    If I lock Firefox, I wouldn't receive security updates for firefox would I?
    If this is the default behavior, perhaps there's something else wrong that's causing the problem.
    I have proceeded with the update again and this is the version that was installed in the update:


    Now if I try playing a video in dailymotion, this is what happens:


    This problem is NOT present with the older version of Firefox, it only starts after the update.
    Is there a workaround I can try?


    @susesteve,
    Looks like they are the same. Perhaps one was carried over from 42.3 when I edited the urls and zypper dup 'ed to 15.0, and the other was installed when I performed the "1-click multimedia support" procedure after upgrading to 15.0?

    Could someone suggest if I should remove one of them? (And which one?)

  6. #6
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    1,674

    Default Re: Repository mixup problem

    Please check that you have flash-player 30.0.0.113 from Packman installed (and no similar leftover from 42.3):
    Code:
    bruno@LT_B:~> zypper info flash-player
    Loading repository data...
    Reading installed packages...
    
    
    Information for package flash-player:
    -------------------------------------
    Repository     : Packman Essentials                      
    Name           : flash-player                            
    Version        : 30.0.0.113-1.1                          
    Arch           : x86_64                                  
    Vendor         : http://packman.links2linux.de           
    Installed Size : 33,0 MiB                                
    Installed      : Yes                                     
    Status         : up-to-date                              
    Source package : flash-player-30.0.0.113-1.1.src         
    Summary        : Adobe Flash Plugin and Standalone Player
    Description    :                                         
        This package contains Adobe's Flash Plugin for the supported Web
        browsers in addition to a standalone flash player application.
    
    bruno@LT_B:~>
    I see no problems here with Firefox 60.1.0esr (but I'm currently on Leap 42.3...)
    Main: Leap 15 Gnome on i7 4720HQ + Geforce GTX960M
    Test: Leap 42.3 (& others) on Core2Duo + GM965

  7. #7

    Default Re: Repository mixup problem

    Quote Originally Posted by OrsoBruno View Post
    Please check that you have flash-player 30.0.0.113 from Packman installed (and no similar leftover from 42.3):
    Code:
    bruno@LT_B:~> zypper info flash-player
    Loading repository data...
    Reading installed packages...
    
    
    Information for package flash-player:
    -------------------------------------
    Repository     : Packman Essentials                      
    Name           : flash-player                            
    Version        : 30.0.0.113-1.1                          
    Arch           : x86_64                                  
    Vendor         : http://packman.links2linux.de           
    Installed Size : 33,0 MiB                                
    Installed      : Yes                                     
    Status         : up-to-date                              
    Source package : flash-player-30.0.0.113-1.1.src         
    Summary        : Adobe Flash Plugin and Standalone Player
    Description    :                                         
        This package contains Adobe's Flash Plugin for the supported Web
        browsers in addition to a standalone flash player application.
    
    bruno@LT_B:~>
    I see no problems here with Firefox 60.1.0esr (but I'm currently on Leap 42.3...)
    Brilliant
    I had some "freshplayerplugin" installed instead of Adobe Flash Player, and this was causing the problem.
    Removed it and installed Flash Player from Pacman, and the issue is RESOLVED!
    Dailymotion videos play fine now.

    Regarding the problem pointed out above by susesteve, I have 2 repositories pointing to the same location. Shall I remove one of them?

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,990

    Default Re: Repository mixup problem

    Quote Originally Posted by johnwinchester View Post
    Regarding the problem pointed out above by susesteve, I have 2 repositories pointing to the same location. Shall I remove one of them?
    Those are not two repositories pointing to the same location, but that are two entries pointing to the same repository. And yes, then one is superfluous.

    BTW, I would give the one you keep a better understandable name and alias.
    Henk van Velden

  9. #9

    Default Re: Repository mixup problem

    Quote Originally Posted by hcvv View Post
    Those are not two repositories pointing to the same location, but that are two entries pointing to the same repository. And yes, then one is superfluous.

    BTW, I would give the one you keep a better understandable name and alias.
    Thanks hcvv,
    I'm keeping the one named dvd, that's a pretty understandable name.

  10. #10
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Repository mixup problem

    Quote Originally Posted by johnwinchester View Post
    Thanks hcvv,
    I'm keeping the one named dvd, that's a pretty understandable name.
    I think you have mixed firefox packages and that's what's causing your issue
    either get all firefox packages from the mozilla repo (repo #2) or stay with Firefox esr from the update repo (as you've noticed firefox from the oss repo will remain the version it was when LEAP 15 was released)
    if you want to stay with Firefox ESR remove the mozilla repo and do a vendor change to the update (and packman) repo to make sure you don't have packages from it, or if you want to use Firefox 61 release do a vendor change to the mozilla repo

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •